Page MenuHomePhabricator

Services team Q3 (Jan - March 2015) quarterly goal tracking
Closed, ResolvedPublic

Description

Our main goals for this quarter are (from the slides):

  • RESTBase deployment: T89481
  • VE speed-up: Reduction of HTML size, API speed-up, possibly save improvements (T89066, T78676, T90304)
  • Stretch goal: Prototype section editing API (T87556)

Related Objects

StatusAssignedTask
Resolved GWicke
Resolvedmobrovac
Resolvedmobrovac
ResolvedNone
Resolved GWicke
Resolved GWicke
ResolvedNone
Resolved GWicke
Resolvedmobrovac
Resolved GWicke
Resolved GWicke
Resolvedfgiunchedi
Resolvedfgiunchedi
ResolvedCmjohnson
ResolvedCmjohnson
ResolvedJoe
Resolvedfgiunchedi
Resolved GWicke
Resolved Jdouglas
Resolved GWicke
Resolved GWicke
ResolvedArlolra
Resolved GWicke
Resolvedmobrovac
Resolvedmobrovac
Resolvedmobrovac
Resolvedmobrovac
Duplicate Jdouglas
ResolvedAndrew
Resolved GWicke
Resolvedfgiunchedi
Resolvedfgiunchedi
Resolvedfgiunchedi
ResolvedEevans
Resolvedfgiunchedi
Resolved GWicke
Resolved GWicke
Resolvedfgiunchedi
Resolvedmobrovac
Resolved GWicke
OpenNone
ResolvedPchelolo
ResolvedArlolra
Resolvedmobrovac

Event Timeline

GWicke raised the priority of this task from to Needs Triage.
GWicke updated the task description. (Show Details)
GWicke added a project: Services.
GWicke added a subscriber: GWicke.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 4 2015, 6:39 PM
GWicke updated the task description. (Show Details)Mar 4 2015, 6:46 PM
GWicke set Security to None.
GWicke updated the task description. (Show Details)
GWicke updated the task description. (Show Details)
GWicke updated the task description. (Show Details)Mar 4 2015, 6:51 PM
GWicke edited subscribers, added: mobrovac, Eevans, bd808, RobLa; removed: Aklapper.
GWicke renamed this task from Service team Q3 (Jan - March 2015) quarterly goal tracking to Services team Q3 (Jan - March 2015) quarterly goal tracking.Mar 4 2015, 8:25 PM
GWicke added a comment.EditedMar 13 2015, 5:40 PM

Draft list of accomplishments so far:

  • Reduced VE load times: get numbers and draw a nice graph
  • Launch of https://rest.wikimedia.org REST API; clear API versioning guidelines and Swagger documentation / API specs
    • Distributed, replicated storage with Cassandra
    • Extensible REST API front-end (RESTBase)
  • Skeleton for building services - https://github.com/wikimedia/service-template-node
  • (likely) beginning of HTML dumps
GWicke moved this task from Backlog to In-progress on the Services board.Mar 17 2015, 7:55 PM
GWicke closed this task as Resolved.Jun 12 2015, 11:12 PM
GWicke claimed this task.